CVE-2005-3061
CVSS7.5
发布时间 :2005-09-27 15:03:00
修订时间 :2016-10-17 23:32:39
NMCO    

[原文]Multiple stack-based buffer overflows in PowerArchiver 8.10 through 9.5 Beta 4 and Beta 5 allow remote attackers to execute arbitrary code via a long filename in a (1) ACE or (2) ARJ archive.


[CNNVD]PowerArchiver多个栈缓冲区溢出漏洞(CNNVD-200509-272)

        PowerArciver 是一款拥有优越的 ZIP 格式支持能力的解压缩软件。
        PowerArchiver 8.10版至9.5 Beta 4试用版、 Beta 5试用版中存在多个堆栈缓冲区溢出漏洞,远程攻击者可通过(1) ACE或(2) ARJ存档中的长文件名执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:powerarchiver:powerarchiver_2006:9.5_beta_5
cpe:/a:powerarchiver:powerarchiver_2004:9.25
cpe:/a:powerarchiver:powerarchiver_2003:8.60
cpe:/a:powerarchiver:powerarchiver_2006:9.5_beta_4
cpe:/a:powerarchiver:powerarchiver_2002:8.10

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3061
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3061
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200509-272
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=112748874211458&w=2
(UNKNOWN)  BUGTRAQ  20050923 Secunia Research: PowerArchiver ACE/ARJ Archive Handling Buffer
http://securityreason.com/securityalert/23
(UNKNOWN)  SREASON  23
http://www.securityfocus.com/bid/14922
(PATCH)  BID  14922

- 漏洞信息

PowerArchiver多个栈缓冲区溢出漏洞
高危 缓冲区溢出
2005-09-27 00:00:00 2005-10-20 00:00:00
远程  
        PowerArciver 是一款拥有优越的 ZIP 格式支持能力的解压缩软件。
        PowerArchiver 8.10版至9.5 Beta 4试用版、 Beta 5试用版中存在多个堆栈缓冲区溢出漏洞,远程攻击者可通过(1) ACE或(2) ARJ存档中的长文件名执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        PowerArchiver PowerArchiver 2002 8.10
        PowerArchiver PowerArchiver
        http://www.powerarchiver.com/download/
        PowerArchiver PowerArchiver 2003 8.60
        PowerArchiver PowerArchiver
        http://www.powerarchiver.com/download/
        PowerArchiver PowerArchiver 2004 9.25
        PowerArchiver PowerArchiver
        http://www.powerarchiver.com/download/
        PowerArchiver PowerArchiver 2006 9.5 Beta 4
        PowerArchiver PowerArchiver
        http://www.powerarchiver.com/download/
        PowerArchiver PowerArchiver 2006 9.5 Beta 5
        PowerArchiver PowerArchiver
        http://www.powerarchiver.com/download/

- 漏洞信息

19651
PowerArchiver ACE/ARJ Archive Filename Overflow
Local Access Required Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

A local overflow exists in PowerArchiver. PowerArchiver contains a boundary error when reading the filename of a compressed file from an ACE or ARJ archive resulting in a stack-based buffer overflow. With a specially crafted request, an attacker can cause allows arbitrary code execution resulting in a loss of integrity.

- 时间线

2005-09-23 Unknow
Unknow Unknow

- 解决方案

Upgrade to PowerArchiver 2004 version 9.26 or higher and to PowerArchiver 2006 Beta 6 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站